Subject: Re: bug#32722: 26.1; Org-publish depend on non-free platform ?

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Sep 2018 23:48:21 +0300

> From: Nicolas Goaziou <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 20 Sep 2018 19:42:50 +0200
> 
> > There's also a similar reference to htmlize in the Org manual, which
> > should, too, should probably be removed.
> 
> There are currently four occurrences of "github" in the manual:
> 
>    The [[https://github.com/MobileOrg/][iOS implementation]] for the
>    /iPhone/iPod Touch/iPad/ series of devices, was started by Richard
>    Moreland and is now in the hands of Sean Escriva. Android users
>    should check out
>    [[http://wiki.github.com/matburt/mobileorg-android/][MobileOrg
>    Android]] by Matt Jones.
> 
>    For HTML you need to install Hrvoje Niksic's =htmlize.el= from
>    [[https://github.com/hniksic/emacs-htmlize][Hrvoje Niksic's
>    repository]].
> 
>    Fontified code chunks in LaTeX can be achieved using either the
>    listings package or the [[https://github.com/gpoore/minted][minted]]
>    package. Refer to ~org-export-latex-listings~ for details.
> 
> If you do think that these URL need to be removed, what would you
> suggest to use instead?

I spoke only about the URL for htmlize.  Is the URL really needed?
How long will it take for people to find the package given only its
name?

Also, I understand it is available from MELPA, in which case
mentioning MELPA could be an alternative, if you think you must
specify a URL.

> > And I'd like to backport these changes to the emacs-26 branch of the
> > Emacs repository.  Would it be possible to apply the changes from
> > Org's master branch, or do we need a slightly different set of
> > changes?
> 
> I do not know about the exact process of merging Org within Emacs. You
> can probably cherry-pick the changes from Org's master branch.

I understand that, I was asking whether the changes need something
that doesn't exist in the version of Org on the emacs-26 branch.  I
understand that the answer is NO.

Thanks.